> For the complete documentation index, see [llms.txt](https://lionstudios.gitbook.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://lionstudios.gitbook.io/readme/analytics/api/events/uiinteraction.md).

# UiInteraction

| Name           | Type                        | Select   | Backend name     | Description                                                                |
| -------------- | --------------------------- | -------- | ---------------- | -------------------------------------------------------------------------- |
| uiAction       | string                      | Required | ui\_action       | uiAction is the action taken on the User Interface object.                 |
| uiName         | string                      | Required | ui\_name         | uiName is the name that defines the interaction.                           |
| uiLocation     | string                      | Optional | ui\_location     | uiLocation is the position in the game where the User Interface object is. |
| uiType         | string                      | Optional | ui\_type         | uiType is the type of User Interface object.                               |
| additionalData | Dictionary\<string, object> | Optional | additional\_data | Any additional information                                                 |

### Notes

This event is used to track user’s journey around the interface to help determine if parts of the interface or features are not obvious enough.

When a button to a specific feature exists in multiple locations it can be valuable to track the location of the button that was used.

## Code examples:

```csharp
LionAnalytics.UiInteraction(
    uiAction: "Click",
    uiName: "Shop_BtnClick",
    uiLocation: "Shop",
    uiType: "Button");
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://lionstudios.gitbook.io/readme/analytics/api/events/uiinteraction.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
